% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/parse_dct_specs.R
\name{parse_dct_specs}
\alias{parse_dct_specs}
\title{Parse DCT specifications}
\usage{
parse_dct_specs(
  dctSpecs,
  headingLevel = 2,
  hyperlink_UCIDs = TRUE,
  urlPrefix = "#",
  HTMLoutput = FALSE,
  sortDecreasing = FALSE
)
}
\arguments{
\item{dctSpecs}{The DCT specifications (a list).}

\item{headingLevel}{The heading level for Markdown output.}

\item{hyperlink_UCIDs, urlPrefix, HTMLoutput}{Passed on to the
\code{\link[=generate_instruction_overview]{generate_instruction_overview()}} and \code{\link[=generate_construct_overview]{generate_construct_overview()}}
functions.}

\item{sortDecreasing}{Whether to sort the constructs in decreasing order
(\code{TRUE}), in increasing order (\code{FALSE}), or not at all (\code{NULL}).}
}
\value{
The object of parsed DCT specifications.
}
\description{
This function parses DCT specifications; it's normally
called by \code{\link[=load_dct_dir]{load_dct_dir()}} or \code{\link[=load_dct_specs]{load_dct_specs()}}, so you
won't have to use it directly.
}
